#include<bits/stdc++.h>
using namespace std;

typedef long long ll;
ll n, m, a[100099], uk;
int main() {
    ios_base::sync_with_stdio(false); cin.tie(NULL); cout.tie(NULL);

    cin >> n >> m;
    for(int i=0; i<n; ++i) {
        cin >> a[i];
    }
    for(int i=0; i<m; ++i) {
        int x, y; cin >> x >> y;
        uk += abs(a[x-1]+a[y-1]);
    }
    cout << uk;
    return 0;
}